
/*
 *
 * Description
 *	Destroy the specified object and deallocate all memory resources
 *	associated with it.
 *
 * Output
 *
 * Input
 *	Obj		Pointer to object structure to be deallocated.
 *
 * Diagnostics
 *
 * Author
 *	Randi J. Rost
 *	Digital Equipment Corp.
 *	Workstation Systems Engineering
 *	Palo Alto, CA
 *
 * History
 *	17-Nov-86	Created
 *
 */

#include <stdio.h>
#include "off.h"

OFFFreeObj(Obj)
OFFObjDesc	*Obj;
{
    OFFProperty	*pProp, *nextProp;

    if( Obj ) {
        pProp = Obj->FirstProp;
        while( (pProp != NULL) &&
               (pProp->PropType < 0) &&
               (pProp->PropType > 6) &&
               (pProp->PropCount > 0) ) {
            nextProp = pProp->NextProp;
            OFFFreeProperty(pProp);
            pProp = nextProp;
        }
        free(Obj);
    }
}
